CUDA Runtime API (PDF) - v11.0.207 (older) - Last updated June 29, 2020 - Send Feedback

## 5.32. Profiler Control [DEPRECATED]

This section describes the profiler control functions of the CUDA runtime application programming interface.

### Functions

__host__ ​cudaError_t cudaProfilerInitialize ( const char* configFile, const char* outputFile, cudaOutputMode_t outputMode )
  Initialize the CUDA profiler.

### Functions

__host__ ​cudaError_t cudaProfilerInitialize ( const char* configFile, const char* outputFile, cudaOutputMode_t outputMode )
  Initialize the CUDA profiler.

  ###### Parameters

  `configFile`
    - Name of the config file that lists the counters/options for profiling.
  `outputFile`
    - Name of the outputFile where the profiling results will be stored.
  `outputMode`
    - outputMode, can be cudaKeyValuePair OR cudaCSV.

  ###### Returns

  cudaSuccess, cudaErrorInvalidValue, cudaErrorProfilerDisabled

  ###### Deprecated

  ###### Description

  Using this API user can initialize the CUDA profiler by specifying the configuration file, output file and output file format. This API is generally used to profile different set of counters by looping the kernel launch. The `configFile` parameter can be used to select profiling options including profiler counters. Refer to the "Compute Command Line Profiler User Guide" for supported profiler options and counters.

  Limitation: The CUDA profiler cannot be initialized with this API if another profiling tool is already active, as indicated by the cudaErrorProfilerDisabled return code.

  Typical usage of the profiling APIs is as follows:

  for each set of counters/options { cudaProfilerInitialize(); //Initialize profiling,set the counters/options in the config file ... cudaProfilerStart(); // code to be profiled cudaProfilerStop(); ... cudaProfilerStart(); // code to be profiled cudaProfilerStop(); ... }

  Note:

  Note that this function may also return error codes from previous, asynchronous launches.

  See also:

  cudaProfilerStart, cudaProfilerStop, cuProfilerInitialize